%  silhuetter
clear 
InitiateMDL;

load profil_all2

for profil = 1:22,
    lengde(profil) = min(find(profiler(profil,:)==0))-1;	
end


figure(55)

for profil = 1:22,
    prof_y = fix((profil-1)/11);
    prof_x = profil-prof_y*11;
    js_subplot(1/11*(prof_x-1),0.5*(1-prof_y),1/14,0.45); hold on
    plot(profiler(profil,1:lengde(profil)),1:lengde(profil),'b');
    axis ij
    axis equal
    axis off
    title(int2str(profil))
end
hold off;

max_lengde = max(lengde);
profiler = profiler(:,1:max_lengde);	% Smider overskyende 0'er vk
C = zeros(22,max_lengde);
Cn = lengde;
for profil = 1:22,
	len = lengde(profil);
	C(profil,1:len) = profiler(profil,1:len) - j*(1:len); % x+jy
	if len < max_lengde,	
        % Kopierer sidste punkt til resten af vektoren 
		C(profil,len+1:end) = C(profil,len);
	end
end

% figure(11);plot(C(:,:).','-');axis equal;

studyName='Silhouettes';

ends = 2;
P = 64;
ps = [32 64 65   16 48   8 24 40 56]; 
Astart = 0.15;
Aend = 0.07;

mode = 2;
sigmaCut = 0.003;
curvFac = 0.02;
curvSmear = 1.5;
curvSkip = 6;

nPasses = 10;
Run;
% 
% curvFac = 200;
% 
% nPasses = 2;
% RunExtra;
% 


